/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package MatlResMgmt.MaterialResource;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class MatlResBeingOrdered {
    public boolean isRFQd() {
        return false;
    }

    public boolean isOrdered() {
        return false;
    }

    public boolean isDelivered() {
        return false;
    }

    /**
     * @clientCardinality 0..1
     * @supplierCardinality 1
     */
    private MatlResource lnkUnnamed;

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 0..*
     * @label derivable
     */
    private MatlResMgmt.InvoiceFromSupplier.InvoiceDetail lnkUnnamed1;
}


